<template>
  <br-header
    image="/wbc.png"
    title="Web Components GovBR-DS"
    subtitle="Ambiente de Desenvolvimento"
    has-title-link
    title-link-url="/"
    container-fluid
  >
    <div slot="headerAction">
      <br-header-action
        title-links="Sites GovBR-DS"
        list-links='[
                  {
                    "name": "WBC - Produção",
                    "href": "https://gov.br/ds/webcomponents/"
                  },
                  {
                    "name": " WBC - Gitpages",
                    "href": "https://govbr-ds.gitlab.io/dev/wbc/govbr-ds-wbc"
                  },
                  {
                    "name": "CORE - Produção",
                    "href": "https://gov.br/ds/"
                  },
                  {
                    "name": "Wiki",
                    "href": "https://gov.br/ds/wiki"
                  }
                ]'
        title-functions="Repositórios Web Components"
        list-functions='[
                    {
                      "icon": "file-code",
                      "name": "Repositório de Web Components",
                      "url": "https://gitlab.com/govbr-ds/dev/wbc/govbr-ds-wbc"
                    },
                    {
                      "icon": "file-code",
                      "name": "Quickstart Angular",
                      "url": "https://gitlab.com/govbr-ds/dev/wbc/govbr-ds-wbc-quickstart-angular"
                    },
                    {
                      "icon": "file-code",
                      "name": "Quickstart Javascript",
                      "url": "https://gitlab.com/govbr-ds/dev/wbc/govbr-ds-wbc-quickstart-js"
                    },
                    {
                      "icon": "file-code",
                      "name": "Quickstart React",
                      "url": "https://gitlab.com/govbr-ds/dev/wbc/govbr-ds-wbc-quickstart-react"
                    },
                    {
                      "icon": "file-code",
                      "name": "https://discord.com/channels/806947332398252062/806947332398252065",
                      "url": "https://gitlab.com/govbr-ds/dev/wbc/govbr-ds-wbc-quickstart-vue"
                    }
                  ]'
      >
      </br-header-action>
    </div>
  </br-header>
  <main id="main" class="d-flex flex-fill mb-5">
    <div class="container-lg">
      <div class="row">
        <div class="col-sm-4 col-lg-2">
          <br-menu :id="id" :is-push="true" :list="menuItems" show-menu :data-breakpoints="dataBreakpoints"></br-menu>
        </div>
        <div class="col mb-5">
          <div id="main-content" class="main-content pl-sm-3 mt-4">
            <RouterView />
          </div>
        </div>
      </div>
    </div>
  </main>
</template>

<script setup>
const id = "main-navigation"

const menuItems = [
  { id: 1, name: "Avatar", url: "avatar" },
  { id: 2, name: "Breadcrumb", url: "breadcrumb" },
  { id: 3, name: "Button", url: "button" },
  { id: 4, name: "Card", url: "card" },
  { id: 5, name: "Checkbox", url: "checkbox" },
  { id: 6, name: "Cookiebar", url: "cookiebar" },
  { id: 7, name: "Divider", url: "divider" },
  { id: 8, name: "Footer", url: "footer" },
  { id: 9, name: "Header", url: "header" },
  { id: 10, name: "Input", url: "input" },
  { id: 11, name: "Item", url: "item" },
  { id: 12, name: "List", url: "list" },
  { id: 13, name: "Loading", url: "loading" },
  { id: 14, name: "Magicbutton", url: "magicbutton" },
  { id: 15, name: "Menu", url: "menu" },
  { id: 16, name: "Message", url: "message" },
  { id: 17, name: "Notification", url: "notification" },
  { id: 18, name: "Signin", url: "signin" },
  { id: 19, name: "Switch", url: "switch" },
  { id: 20, name: "Tab", url: "tab" },
  { id: 21, name: "Tooltip", url: "tooltip" },
]

const dataBreakpoints = "col-sm-4 col-lg-2"
</script>
